pilot-xfer(1)

NAME
pilot-xfer - Backup, sync, and restore databases from a Palm handheld device.

SECTION

pilot-link: Userland conduits

SYNOPSIS

 pilot-xfer [-p <port>] [-e <file>] [-b] [-u] [-s] <directory>

or

 pilot-xfer [-p <port>] [-r <directory>] [-l] [-L] [-P] [-f <dbname>] [-d <dbname>] [-i <dbname>] [-m <file>] ...

Use exactly one of -brsudfimlI; mix in -aexDPv, --rom and with-os.

DESCRIPTION

This is the swiss-army-knife of the entire pilot-link suite.

 pilot-xfer allows the user to install databases contained in the standard .prc (Palm Resource Database), .pdb (Palm Record Database), and .pqa (Palm Query Application) formats onto a Palm, retrieve databases from the Palm, list the databases contained in a Palm, backup or restore all of the databases at once as well as many other powerful operations performed on a Palm handheld device.

OPTIONS

  pilot-xfer options

Archive files which have been removed from the Palm to <dir> instead of just deleting (unlinking) them.
   -a, --archive
   <dir>

Back up the Palm into the specified directory (which will be created if it does not already exist).
   -b, --backup
   <dir>

Show information on available cards
   -C, --cardinfo

Permanently delete the specified database(s) by name (without extension). Obviously, be very careful with this one.
   --delete <dbname>

Modify -l, -i or -f to use VFS dir instead of internal storage (see examples section for usage)
   -D,
   --vfsdir=dir

Reads a list of databases from <file> and prevents --backup, --sync, or --update from operating on the listed database(s). A maximum of 100 databases can be excluded. Databases should be specified by name without the extension, as displayed with --list, in any order.
   -e, --exclude=
   <file>

Fetch each specified database out of the Palm into the current directory.

Obsolete. Replaced by --rom in v0.12.
   -F, --Flash

Install each specified file into the Palm. Wildcards are valid with this syntax and multiple files may be listed at once.
   -i, --install
   <file> [...]

Note: the behavior of list has changed in version 0.12 and later

List all the databases in the Palm, including OS-specific native databases.
   -l, --list

Unsupported in 0.12 - see -l
   -L, --Listall

Adds the records in each specified file into the corresponding Palm database.
   -m, --merge
   <file1> <file2> [...]

Obsolete. Replaced by --with-os in v0.12 and later
   -O, --Osflash

Purge any deleted data that haven't been cleaned up by a full synchronization (this is a safe operation, and will prevent your Palm from accumulating unused data if you delete records but aren't syncing with a PIM.) The only information you can lose is archived but un-synchronized records.
   -P, --Purge

Installs all files contained in the named directory to the Palm. (Use this to restore your Palm after a hard reset has cleared and wiped its memory, using your backup directory as a baseline).
   -r, --restore
   <dir>

Modifies -b, -u, and s , to back up non-OS dbs from the internal Flash ROM
   --rom

Backs up the Palm into the specified directory (which will be created if it does not already exist). Any Palm databases which have not been modified or created since the versions stored in the specified directory will not be backed up.

 NOTE: Any Palm databases which have been deleted will have their corresponding backup file removed.
   -s, --sync
   <dir>

Not supported in v0.12. No replacement.
   -S, --novsf

Modifies -b, -u, and s , to back up OS databases from internal Flash ROM.
   --with-os

Backs up the Palm into the specified directory (which will be created if it does not already exist). Any Palm databases which have not been modified or created since the versions stored in the specified directory will not be backed up.
   -u, --update

This will back up the UnsavedPreferences.prc file from the Palm. Normally this file is not backed up by normal means (Palm recommends that you do not restore this file upon restoration of your device using --restore.

This also modifies the behavior of --backup, --sync, and --update.
   -I, --Illegal

Execute a shell command for intermediate processing. All commands will be done, from left to right on the command-line, before the connection to the Palm device is made.
   -x, --exec=command

  Conduit Options

Use device file <port> to communicate with the Palm handheld. If this is not specified, pilot-xfer will look for the $PILOTPORT environment variable. If neither are found, pilot-xfer will print the usage information.
   -p, --port
   <port>

Display version of pilot-xfer and exit without connecting.
   -v, --version

  Help Options

Display the help synopsis for pilot-xfer and exit without connecting.
   -h, --help

Display a brief usage message and exit without connecting.
   --usage

USAGE

The program will attempt to connect to a target Palm handheld device and specified port and perform the requested options specified by the user on the commandline.

EXAMPLES

To perform a full backup of your Palm handheld:

# using long options

   pilot-xfer --port /dev/pilot --backup $HOME/pilot/Backup

# or over IrDA, using short options

   pilot-xfer -p /dev/ircomm0 -b $HOME/pilot/Backup

To restore that backup to a non-standard serial port (for example, to a xcopilot or POSE session, assuming you have xcopilot or POSE configured properly for this operation, see the appropriate man pages for details on configuring your emulator):

   pilot-xfer -p /dev/ttyqe --restore $HOME/pilot/Backup

To fetch a file that is on your Palm handheld, such as the Palm Address Book database, you could do the following. This will connect to /dev/pilot and retrieve the records found in AddressDB and place them in a local file called AddressDB.pdb (Palm Record Database).

   pilot-xfer -p /dev/pilot --fetch AddressDB

This will connect to your Palm device and install the application Foo (in Foo.prc) to your external storage card (typically an SD or MMC card) in the directory /Palm/Launcher on that card, using VFS.

   pilot-xfer -p /dev/pilot -i Foo.prc -D /Palm/Launcher

AUTHOR

 pilot-xfer written by Kenneth Albanowski. This manual page was originally written by Kenneth Albanowski and David H. Silber. Completely rewritten by David A. Desrosiers. Updated for 0.12 by Neil Williams < linux@codehelp.co.uk > .

BUGS

  Known Bugs

 --backup will currently truncate/corrupt pdb/prc files if the communication to the device is interrupted during sync (such as removing the Palm from the cradle, or a temporary network hiccup during a NetSync). Ideally, this should restore the original file, or delete the corrupted version and restore the original version back into place, but presently.. it does not.

  Reporting Bugs

We have an online bug tracker. Using this is the only way to ensure that your bugs are recorded and that we can track them until they are resolved or closed. Reporting bugs via email, while easy, is not very useful in terms of accountability. Please point your browser to http://bugs.pilot-link.org: http://bugs.pilot-link.org and report your bugs and issues there.

COPYRIGHT

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301, USA.

SEE ALSO

 pilot-link(7)